libzypp 17.37.10

Exception.cc File Reference
`#include <iostream>`
`#include <sstream>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-core/base/Gettext.h>`
`#include <zypp-core/base/StringV.h>`
`#include <zypp-core/base/Exception.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::exception_detail

## Functions
std::ostream & | zypp::exception_detail::operator<< (std::ostream &str, const CodeLocation &obj)
void | zypp::exception_detail::do_ZYPP_RETHROW (const std::exception_ptr &excpt_r, const CodeLocation &where_r)
std::exception_ptr | zypp::exception_detail::do_ZYPP_FWD_EXCPT_PTR (const std::exception_ptr &excpt_r, CodeLocation &&where_r)
| Helper for ZYPP_FWD_CURRENT_EXCPT().
void | zypp::exception_detail::do_ZYPP_CAUGHT (const std::exception_ptr &excpt_r, CodeLocation &&where_r)
| Helper for std::exception_ptr.
std::ostream & | zypp::operator<< (std::ostream &str, const Exception &obj)
std::ostream & | zypp::operator<< (std::ostream &str, const std::exception_ptr &excptPtr) ZYPP_API
| Log a std::excepion_ptr.